VIORND(4)

NAME
viornd - VirtIO random number device

SYNOPSIS
viornd* at virtio? flags 0x00

DESCRIPTION
The viornd driver provides a virtual random number generator using a virtio(4) entropy device provided by QEMU 1.3 and later, and possibly by other hypervisors.

As there is currently no way for viornd to determine how much entropy is needed, the second byte of the flags value can be used to configure how often it should request more entropy from the host. If the second lowest byte of the flags has a value from 1 to 15, viornd will ask for 16 bytes of entropy every 15 * (1 << value) seconds. For example, flags == 0x100 means an interval of 30 seconds, 0x500 means 8 minutes, 0xa00 means 256 minutes, and 0xf00 means about 6 days. For flags == 0, a default value will be used (currently 8 minutes). If the bit 0x1000 is set in the flags, viornd will only request entropy from the host once during system boot.

SEE ALSO
intro(4), virtio(4)

HISTORY
The viornd driver first appeared in OpenBSD 5.5.

AUTHORS
-nosplit The viornd driver was written by Stefan Fritsch <sf@sfritsch.de>.